#!/bin/sh
# Add groups and user if needed
if ! grep -q "^clamav:" etc/group ; then
usr/sbin/groupadd -g 210 clamav
fi
if ! grep -q "^clamav:" etc/passwd; then
usr/sbin/useradd -u 210 -g clamav -d /dev/null -s /bin/false clamav
fi 
chown -R 210:210 var/lib/clamav var/log/clamav var/run/clamav var/spool/postfix/clamav
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
	mv $NEW $OLD
elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
	rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
preserve_perms () {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
if [ -e $OLD ]; then
	cp -a $OLD ${NEW}.incoming
	cat $NEW > ${NEW}.incoming
	mv ${NEW}.incoming $NEW
fi
config $NEW
}

for i in etc/clamav-milter.conf.new etc/clamd.conf.new etc/freshclam.conf.new etc/logrotate.d/clamav.new etc/rc.d/rc.clamav.new 
do
	preserve_perms $i
done
